function [D,O] = getDetectionLines(lc,oc)

global R 

D = zeros(size(lc)); % detection matrix
O = zeros(size(lc)); % orientation matrix

% common orientations
Cor = double(oc .* R);
% I'm interested in novelties
Nor = oc - Cor;
% Get those points
[D,O] = max(Nor,[],3);
% Give zero value to all the cases where there are not detections
nll = find(D==0);
O(nll) = 0;

