function [lc,ol] = getLevelLines(frm,ORIENTATIONS_LEVELS_8)

global LEVEL_LINES_QUANTITY  
global MIN_LEVEL_LINES_TH 

VAL_VACIO_OC = -10;

[rows,cols,d] = size(frm);
if d > 1
    frm = double(rgb2gray(frm));
end

mx = max(frm(:));
mn = min(frm(:));
f = (mx - mn) / LEVEL_LINES_QUANTITY;
ic = zeros(rows,cols,LEVEL_LINES_QUANTITY);
oc = zeros(rows,cols,LEVEL_LINES_QUANTITY);
ol = zeros(rows,cols,ORIENTATIONS_LEVELS_8);
% Encontrar los bordes de los levels sets y la direccion de cada level set
for i=1:LEVEL_LINES_QUANTITY
    ss = f * i;
    
    ls = double(frm >= ss);
    ls = double(bwareaopen(ls, 20));
    lc = bwperim(ls);
    ic(:,:,i) = lc;

    xl = find(lc);
    
    orien=getor(ls);
    
    %[crows,ccols] = ind2sub([rows cols],xl);

    lo = VAL_VACIO_OC*ones(rows,cols);
    lo(xl) = orien(xl);
    
    oc(:,:,i) = lo;
    
end

% Agrupar los levels lines
sumll = zeros([rows,cols]);
lc = zeros([rows,cols]);

sumll = squeeze(sum(ic,3));
lc = double(sumll > MIN_LEVEL_LINES_TH);
mlc = repmat(lc, [1 1 LEVEL_LINES_QUANTITY]);

% armar la matriz de las orientaciones presentes en una linea de nivel
% valores validos del oc
xv = find(oc(:) > VAL_VACIO_OC);
xl = find(lc);
[crows,ccols] = ind2sub([rows cols],xl);
xn = find(oc(xv) < 0);
oc(xv(xn)) = oc(xv(xn)) + 2*pi;
% xn = find(oc < 0);
% oc(xn) = oc(xn) + 2*pi;

%oc(xv) = oc(xv) - pi/ORIENTATIONS_LEVELS;

oc(xv) = mod(round(ORIENTATIONS_LEVELS_8*oc(xv)/(2*pi)),ORIENTATIONS_LEVELS_8) + 1;
%oc = mod(round(ORIENTATIONS_LEVELS*oc/(2*pi)),ORIENTATIONS_LEVELS) + 1;

% if ORIENTATIONS_LEVELS < ORIENTATIONS_LEVELS_8
%     xn = find(oc > ORIENTATIONS_LEVELS);
%     oc(xn) = oc(xn) - ORIENTATIONS_LEVELS;
% end

for j=1:ORIENTATIONS_LEVELS_8
    t_oc = double((oc .* mlc) == j);
    ol(:,:,j) = squeeze(sum(t_oc,3));
end


